FDraggablePaneClass = function()
{
   this.init();
};
FDraggablePaneClass.prototype = new FUIComponentClass();
Object.registerClass("FDraggablePaneSymbol",FDraggablePaneClass);
FDraggablePaneClass.prototype.kDefaultTitlebarHeight = 20;
FDraggablePaneClass.prototype.init = function()
{
   super.setSize(this._width,this._height);
   this.controller = this;
   this.level = 1;
   this.attachMovie("TitleArea","titleArea_mc",this.level++,{controller:this});
   this.attachMovie("Separator","separator_mc",this.level++,{controller:this});
   this.attachMovie("FLabelSymbol","titleText_mc",this.level++,{controller:this});
   this.attachMovie("FScrollPaneSymbol","scrollpane_mc",this.level++,{controller:this});
   this.attachMovie("CloseBox","closeBox_mc",this.level++,{controller:this});
   this.attachMovie("Shader","shader_mc",this.level++,{controller:this});
   this.attachMovie("ResizeGrip","resizeGrip_mc",this.level++,{controller:this});
   this.attachMovie("ResizeCursor","resizeCursor_mc",this.level++,{controller:this});
   if(this.boundingBox_mc == undefined)
   {
      this.attachMovie("FBoundingBoxSymbol","boundingBox_mc",this.level++);
   }
   super.init();
   this.boundingBox_mc.controller = this;
   this.boundingBox_mc._visible = false;
   this.normalWidth = this.width;
   this.normalHeight = this.height;
   this.normalX = this._x;
   this.normalY = this._y;
   this.maxWidth = -1;
   this.maxHeight = -1;
   this.minWidth = -1;
   this.minHeight = -1;
   this.closeHandler = this.defaultCloseHandler;
   this.activateHandler = this.defaultActivateHandler;
   this.titleText_mc.labelField.autoSize = "left";
   if(this.hasShader == undefined)
   {
      this.hasShader = true;
   }
   if(this.hasCloseBox == undefined)
   {
      this.hasCloseBox = true;
   }
   if(this.resizable == undefined)
   {
      this.resizable = true;
   }
   if(this.isScrolling == undefined)
   {
      this.isScrolling = true;
   }
   this.enableShader();
   this.shader_mc.isMultistate = true;
   this.shader_mc.inAlternateState = false;
   this.shaderDisabled = false;
   this.setHasShader(this.hasShader);
   this.isShaded = false;
   this.enableCloseBox();
   this.closeBox_mc.isMultistate = false;
   this.closeBox_mc.inAlternateState = false;
   this.setHasCloseBox(this.hasCloseBox);
   this.resizeGrip_mc.onPress = this.resizeTrackBegin;
   this.resizeGrip_mc.onRelease = this.resizeTrackEnd;
   this.resizeGrip_mc.onReleaseOutside = this.resizeTrackEnd;
   this.resizeCursor_mc._visible = false;
   this.resizeGrip_mc.onRollOver = this.setResizeCursor;
   this.resizeGrip_mc.onRollOut = this.restoreCursor;
   this.setTitlebarHeightHelper(this.titlebarHeight);
   this.setResizable(this.resizable);
   this.titleArea_mc.onPress = this.titleTrackBegin;
   this.titleArea_mc.onRelease = this.titleTrackEnd;
   this.titleArea_mc.onReleaseOutside = this.titleTrackEnd;
   this.titleText_mc.onPress = this.titleTrackBegin;
   this.titleText_mc.onRelease = this.titleTrackEnd;
   this.titleText_mc.onReleaseOutside = this.titleTrackEnd;
   this.scrollpane_mc.setDragContent(false);
   this.scrollpane_mc.refreshPane();
   if(this.scrollContent != "")
   {
      this.setScrollContent(this.scrollContent);
   }
   this.setScrolling(this.isScrolling);
   this.setPaneTitle(this.paneTitle);
   this.setSize(this.width,this.height);
   if(FDraggablePaneClass.prototype.doubleclickDuration == undefined)
   {
      FDraggablePaneClass.prototype.doubleclickDuration = 300;
   }
   this.lastTitleBarClick = 0;
   this.titleArea_mc.onMouseDown = this.doubleClickMouseDownChecker;
   this.titleArea_mc.onEnterFrame = this.doubleClickEnterFrameChecker;
   this.boundingBox_mc.onMouseDown = this.boundingClickCheck;
   if(FDraggablePaneClass.prototype.paneList == undefined)
   {
      FDraggablePaneClass.prototype.paneList = new Array();
   }
   this.onUnload = this.handleClose;
   FDraggablePaneClass.prototype.paneList.push(this);
   FDraggablePaneClass.prototype.checkedPaneCount = 0;
   FDraggablePaneClass.prototype.topMostClickedDepth = -32768;
};
FDraggablePaneClass.prototype.setEnabled = function(enabledFlag)
{
   var enabled = arguments.length <= 0 ? true : enabledFlag;
   this.separator_mc.enabled = enabled;
   this.titleArea_mc.enabled = enabled;
   this.icon_mc.enabled = enabled;
   this.titleText_mc.setEnabled(enabled);
   this.titleText_mc.enabled = enabled;
   this.shader_mc.enabled = enabled;
   this.closeBox_mc.enabled = enabled;
   this.scrollpane_mc.enabled = enabled;
   this.resizeGrip_mc.enabled = enabled;
   this.boundingBox_mc.enabled = enabled;
   super.setEnabled(enabledFlag);
};
FDraggablePaneClass.prototype.setActivateHandler = function(newHandler)
{
   this.activateHandler = newHandler;
};
FDraggablePaneClass.prototype.getScrollContent = function()
{
   return this.scrollpane_mc.getScrollContent();
};
FDraggablePaneClass.prototype.setScrollContent = function(target)
{
   this.scrollpane_mc.setScrollContent(target);
};
FDraggablePaneClass.prototype.setDragContent = function(dragFlag)
{
   this.scrollpane_mc.setDragContent(dragFlag);
};
FDraggablePaneClass.prototype.getScrollPosition = function()
{
   return this.scrollpane_mc.getScrollPosition();
};
FDraggablePaneClass.prototype.setScrollPosition = function(x, y)
{
   this.scrollpane_mc.setScrollPosition(x,y);
};
FDraggablePaneClass.prototype.setTitlebarHeight = function(titlebarHeight)
{
   this.setTitlebarHeightHelper(titlebarHeight);
   this.formatFrame(this._x,this._y,this.width,this.height);
};
FDraggablePaneClass.prototype.setTitlebarHeightHelper = function(newHeight)
{
   if(newHeight == undefined || isNaN(newHeight) || newHeight <= 0)
   {
      this.titlebarHeight = FDraggablePaneClass.prototype.kDefaultTitlebarHeight;
   }
   else
   {
      this.titlebarHeight = newHeight;
   }
};
FDraggablePaneClass.prototype.getTitlebarHeight = function()
{
   return this.titlebarHeight;
};
FDraggablePaneClass.prototype.setScrolling = function(prop)
{
   this.scrollpane_mc.setHScroll(prop);
   this.scrollpane_mc.setVScroll(prop);
   this.isScrolling = prop;
};
FDraggablePaneClass.prototype.getScrolling = function()
{
   return this.isScrolling;
};
FDraggablePaneClass.prototype.loadScrollContent = function(urlString, handler, location)
{
   this.scrollpane_mc.loadScrollContent(urlString,handler,location);
};
FDraggablePaneClass.prototype.refreshScrollContent = function()
{
   this.scrollpane_mc.refreshPane();
};
FDraggablePaneClass.prototype.getPaneMaximums = function()
{
   var xMax = this.maxWidth;
   var yMax = this.maxHeight;
   return {x:xMax,y:yMax};
};
FDraggablePaneClass.prototype.getPaneMinimums = function()
{
   var xMin = this.minWidth;
   var yMin = this.minHeight;
   return {x:xMin,y:yMin};
};
FDraggablePaneClass.prototype.setPaneMaximumSize = function(w, h)
{
   this.maxWidth = w;
   this.maxHeight = h;
};
FDraggablePaneClass.prototype.setPaneMinimumSize = function(w, h)
{
   this.minWidth = w;
   this.minHeight = h;
};
FDraggablePaneClass.prototype.setHasCloseBox = function(closeBox)
{
   this.hasCloseBox = closeBox;
   this.closeBox_mc._visible = closeBox;
};
FDraggablePaneClass.prototype.getHasCloseBox = function()
{
   return this.hasCloseBox;
};
FDraggablePaneClass.prototype.setHasShader = function(shader)
{
   this.hasShader = shader;
   this.shader_mc._visible = shader;
};
FDraggablePaneClass.prototype.getHasShader = function()
{
   return this.hasShader;
};
FDraggablePaneClass.prototype.enableShader = function()
{
   this.shader_mc.onPress = this.widgetTrackBegin;
   this.shader_mc.onRelease = this.widgetTrackEndWithAction;
   this.shader_mc.onReleaseOutside = this.widgetTrackEnd;
   this.shader_mc.onDragOut = this.widgetTrackOut;
   this.shader_mc.onDragOver = this.widgetTrackOver;
   this.shader_mc.actionHandler = this.shaderAction;
   if(this.shader_mc.inAlternateState)
   {
      this.shader_mc.gotoAndStop(4);
   }
   else
   {
      this.shader_mc.gotoAndStop(1);
   }
   this.shaderDisabled = false;
};
FDraggablePaneClass.prototype.disableShader = function()
{
   this.shader_mc.onPress = null;
   this.shader_mc.onRelease = null;
   this.shader_mc.onReleaseOutside = null;
   this.shader_mc.onDragOut = null;
   this.shader_mc.onDragOver = null;
   this.shader_mc.actionHandler = null;
   this.shader_mc.gotoAndStop(2);
   this.shaderDisabled = true;
};
FDraggablePaneClass.prototype.enableCloseBox = function()
{
   this.closeBox_mc.onPress = this.widgetTrackBegin;
   this.closeBox_mc.onRelease = this.widgetTrackEndWithAction;
   this.closeBox_mc.onReleaseOutside = this.widgetTrackEnd;
   this.closeBox_mc.onDragOut = this.widgetTrackOut;
   this.closeBox_mc.onDragOver = this.widgetTrackOver;
   this.closeBox_mc.actionHandler = this.closeAction;
   this.closeBox_mc.gotoAndStop(1);
};
FDraggablePaneClass.prototype.disableCloseBox = function()
{
   this.closeBox_mc.onPress = null;
   this.closeBox_mc.onRelease = null;
   this.closeBox_mc.onReleaseOutside = null;
   this.closeBox_mc.onDragOut = null;
   this.closeBox_mc.onDragOver = null;
   this.closeBox_mc.actionHandler = null;
   this.closeBox_mc.gotoAndStop(2);
};
FDraggablePaneClass.prototype.setResizable = function(resizable)
{
   this.resizable = resizable;
   this.resizeGrip_mc._visible = resizable;
};
FDraggablePaneClass.prototype.getResizable = function()
{
   return this.resizable;
};
FDraggablePaneClass.prototype.setSize = function(w, h)
{
   if(arguments.length < 2 || isNaN(w) || isNaN(h))
   {
      return undefined;
   }
   w = Math.max(w,60);
   if(this.isShaded)
   {
      h = Math.max(h,this.defaultShadedHeight());
   }
   else
   {
      h = Math.max(h,60 + this.defaultShadedHeight() + 1);
   }
   this._xscale = 100;
   this._yscale = 100;
   super.setSize(w,h);
   this.boundingBox_mc._width = w;
   this.boundingBox_mc._height = h;
   this.formatFrame(this._x,this._y,w,h);
};
FDraggablePaneClass.prototype.setContentSize = function(w, h)
{
   var newWidth = w;
   if(this.controller.isScrolling)
   {
      newWidth += this.controller.scrollpane_mc.vScrollBar_mc._width;
   }
   var newHeight = h + 1 + this.controller.getTitlebarHeight();
   if(this.controller.isScrolling)
   {
      newHeight += this.controller.scrollpane_mc.hScrollBar_mc._height;
   }
   this.setPaneSize(newWidth,newHeight);
};
FDraggablePaneClass.prototype.setPaneSize = function(w, h)
{
   var newWidth = w;
   var newHeight = h;
   if(newWidth == undefined)
   {
      newWidth = 320;
   }
   if(newHeight == undefined)
   {
      newHeight = 240;
   }
   if(this.maxWidth > 0 && newWidth > this.maxWidth)
   {
      newWidth = this.maxWidth;
   }
   if(this.minWidth > 0 && newWidth < this.minWidth)
   {
      newWidth = this.minWidth;
   }
   if(newWidth < this.defaultMinimumWidth())
   {
      newWidth = this.defaultMinimumWidth();
   }
   if(this.maxHeight > 0 && newHeight > this.maxHeight)
   {
      newHeight = this.maxHeight;
   }
   if(this.minHeight > 0 && newHeight < this.minHeight)
   {
      newHeight = this.minHeight;
   }
   if(newHeight < this.defaultShadedHeight() + this.resizeGrip_mc._height)
   {
      newHeight = this.defaultShadedHeight() + this.resizeGrip_mc._height;
   }
   if(this.isShaded)
   {
      this.normalWidth = newWidth;
      this.normalHeight = newHeight;
      newHeight = this.defaultShadedHeight();
   }
   this.setSize(newWidth,newHeight);
};
FDraggablePaneClass.prototype.closePane = function()
{
   if(this.closeHandler())
   {
      this.unloadMovie();
   }
};
FDraggablePaneClass.prototype.setCloseHandler = function(newHandler)
{
   this.closeHandler = newHandler;
};
FDraggablePaneClass.prototype.shadePane = function()
{
   this.preserveNormals();
   this.isShaded = true;
   this.setSize(this.width,this.defaultShadedHeight());
   this.resizeGrip_mc._visible = false;
   this.scrollpane_mc._visible = false;
   this.separator_mc._visible = false;
   this.shader_mc.inAlternateState = true;
   this.shader_mc.gotoAndStop(4);
};
FDraggablePaneClass.prototype.restorePane = function()
{
   if(this.isShaded == false)
   {
      return undefined;
   }
   this._x = this.normalX;
   this._y = this.normalY;
   this.setSize(this.normalWidth,this.normalHeight);
   if(this.resizable)
   {
      this.controller.resizeGrip_mc._visible = true;
   }
   this.scrollpane_mc._visible = true;
   this.separator_mc._visible = true;
   this.isShaded = false;
   this.swapFromShaded();
};
FDraggablePaneClass.prototype.getPaneTitle = function()
{
   return this.titleText_mc.labelField.text;
};
FDraggablePaneClass.prototype.setPaneTitle = function(title)
{
   this.titleText_mc.setLabel(title);
   this.formatTitle(this.closeBox_mc._x);
};
FDraggablePaneClass.prototype.setStyleProperty = function(propName, value, isGlobal)
{
   super.setStyleProperty(propName,value,isGlobal);
   this.scrollpane_mc.setStyleProperty(propName,value,isGlobal);
};
FDraggablePaneClass.prototype.formatTitle = function(closeBoxOffset)
{
   var txtS = this.textStyle;
   var sTbl = this.styleTable;
   txtS.align = sTbl.textAlign.value != undefined ? undefined : (txtS.align = "left");
   txtS.leftMargin = sTbl.textLeftMargin.value != undefined ? undefined : (txtS.leftMargin = 0);
   txtS.rightMargin = sTbl.textRightMargin.value != undefined ? undefined : (txtS.rightMargin = 0);
   txtS.leading = 0;
   this.titleText_mc.labelField.setTextFormat(txtS);
   var textWidth = this.titleText_mc.labelField.textWidth;
   var textHeight = this.titleText_mc.labelField.textHeight;
   this.titleText_mc._y = this.titleArea_mc._y + (this.titleArea_mc._height - textHeight) / 2 - 2;
   if(this.textStyle.align == "center")
   {
      this.titleText_mc._x = this.titleArea_mc._x + (this.titleArea_mc._width - textWidth) / 2;
   }
   else if(this.textStyle.align == "left")
   {
      this.titleText_mc._x = this.titleArea_mc._x + this.shader_mc._x + this.shader_mc._width;
   }
   else if(this.textStyle.align == "right")
   {
      this.titleText_mc._x = closeBoxOffset - this.titleText_mc._width;
   }
   if(this.titleText_mc._x + this.titleText_mc._width > closeBoxOffset)
   {
      this.titleText_mc._x = closeBoxOffset - this.titleText_mc._width;
   }
};
FDraggablePaneClass.prototype.formatFrame = function(x, y, w, h)
{
   var titleHeight = this.getTitlebarHeight();
   var widgetSpacer = 2;
   var thisWidth = w;
   var thisHeight = h;
   this.separator_mc._x = 0;
   this.separator_mc._y = titleHeight;
   this.separator_mc._width = thisWidth;
   this.separator_mc._height = 1;
   this.titleArea_mc._x = 0;
   this.titleArea_mc._y = 0;
   this.titleArea_mc._width = thisWidth;
   this.titleArea_mc._height = titleHeight;
   this.scrollpane_mc._x = 0;
   this.scrollpane_mc._y = titleHeight + 1;
   this.scrollpane_mc.setSize(thisWidth,thisHeight - (titleHeight + 1));
   this.shader_mc._x = widgetSpacer;
   this.shader_mc._y = this.titleArea_mc._y + (this.titleArea_mc._height - this.shader_mc._height) / 2;
   this.closeBox_mc._x = thisWidth - (this.closeBox_mc._width + widgetSpacer);
   this.closeBox_mc._y = this.titleArea_mc._y + (this.titleArea_mc._height - this.closeBox_mc._height) / 2;
   this.resizeGrip_mc._x = thisWidth - this.resizeGrip_mc._width;
   this.resizeGrip_mc._y = thisHeight - this.resizeGrip_mc._height;
   this.formatTitle(this.closeBox_mc._x);
   this.setEnabled(this.enable);
};
FDraggablePaneClass.prototype.defaultCloseHandler = function()
{
   return true;
};
FDraggablePaneClass.prototype.defaultActivateHandler = function()
{
   i = 0;
   while(i < FDraggablePaneClass.prototype.paneList.length - 1)
   {
      if(FDraggablePaneClass.prototype.paneList[i] == this.controller)
      {
         var clickedPane = FDraggablePaneClass.prototype.paneList[i];
         var eclipsedPane = FDraggablePaneClass.prototype.paneList[i + 1];
         clickedPane.swapDepths(eclipsedPane);
         FDraggablePaneClass.prototype.paneList[i] = eclipsedPane;
         FDraggablePaneClass.prototype.paneList[i + 1] = clickedPane;
      }
      i++;
   }
};
FDraggablePaneClass.prototype.defaultMinimumWidth = function()
{
   var widgetSpacer = 2;
   var minimalWidth = 2 * widgetSpacer;
   minimalWidth += this.shader_mc._width + this.closeBox_mc._width;
   minimalWidth += Math.max(this.titleText_mc._width,60);
   return minimalWidth;
};
FDraggablePaneClass.prototype.defaultMinimumHeight = function()
{
   var minimalHeigth = this.controller.getTitlebarHeight() + 1;
   minimalHeigth += 60;
   return minimalHeigth;
};
FDraggablePaneClass.prototype.defaultShadedHeight = function()
{
   var shadedHeight = this.controller.getTitlebarHeight();
   return shadedHeight;
};
FDraggablePaneClass.prototype.doubleClickMouseDownChecker = function()
{
   if(this.hitTest(_root._xmouse,_root._ymouse,true))
   {
      if(this.controller.lastTitleBarClick == 0)
      {
         this.controller.lastTitleBarClick = getTimer();
      }
      else
      {
         this.controller.lastTitleBarClick = 0;
         if(this.controller.getHasShader() && this.controller.shaderDisabled == false && this.controller.isShaded == false && this.controller.isTopmostPane() && this.controller.enable)
         {
            this.controller.shadePane();
         }
         else if(this.controller.isShaded && this.controller.isTopmostPane())
         {
            this.controller.restorePane();
         }
      }
   }
};
FDraggablePaneClass.prototype.doubleClickEnterFrameChecker = function()
{
   if(this.controller.lastTitleBarClick > 0)
   {
      if(getTimer() - this.controller.lastTitleBarClick > FDraggablePaneClass.prototype.doubleclickDuration)
      {
         this.controller.lastTitleBarClick = 0;
      }
   }
};
FDraggablePaneClass.prototype.setResizeCursor = function()
{
   this.controller.resizeCursor_mc._x = this.controller._xmouse;
   this.controller.resizeCursor_mc._y = this.controller._ymouse;
   this.controller.resizeCursor_mc._visible = true;
   this.onMouseMove = this.controller.dragResizeCursor;
   Mouse.hide();
};
FDraggablePaneClass.prototype.restoreCursor = function()
{
   this.controller.resizeCursor_mc._visible = false;
   this.onMouseMove = null;
   Mouse.show();
};
FDraggablePaneClass.prototype.dragResizeCursor = function()
{
   this.controller.resizeCursor_mc._visible = true;
   this.controller.resizeCursor_mc._x = this.controller._xmouse;
   this.controller.resizeCursor_mc._y = this.controller._ymouse;
};
FDraggablePaneClass.prototype.minimizeHelper = function()
{
   if(this.controller.minimizeExtensionHandler != null)
   {
      this.controller.minimizeExtensionHandler(this.controller);
   }
};
FDraggablePaneClass.prototype.activateHelper = function()
{
   if(this.controller.activateHandler != null)
   {
      this.controller.activateHandler(this.controller);
   }
};
FDraggablePaneClass.prototype.boundingClickCheck = function()
{
   FDraggablePaneClass.prototype.checkedPaneCount = FDraggablePaneClass.prototype.checkedPaneCount + 1;
   if(this.controller.boundingBox_mc.hitTest(_root._xmouse,_root._ymouse,false))
   {
      if(this.controller.getDepth() > FDraggablePaneClass.prototype.topMostClickedDepth || FDraggablePaneClass.prototype.topMostClickedDepth == -32768)
      {
         FDraggablePaneClass.prototype.topMostClickedDepth = this.controller.getDepth();
         FDraggablePaneClass.prototype.topMostClickedPane = this.controller;
      }
   }
   if(FDraggablePaneClass.prototype.checkedPaneCount == FDraggablePaneClass.prototype.paneList.length)
   {
      FDraggablePaneClass.prototype.topMostClickedPane.activateHelper();
      FDraggablePaneClass.prototype.topMostClickedDepth = -32768;
      FDraggablePaneClass.prototype.checkedPaneCount = 0;
   }
};
FDraggablePaneClass.prototype.isTopmostPane = function()
{
   return this == FDraggablePaneClass.prototype.paneList[FDraggablePaneClass.prototype.paneList.length - 1];
};
FDraggablePaneClass.prototype.handleClose = function()
{
   i = 0;
   while(i < FDraggablePaneClass.prototype.paneList.length)
   {
      if(FDraggablePaneClass.prototype.paneList[i] == this.controller)
      {
         FDraggablePaneClass.prototype.paneList.splice(i,1);
      }
      i++;
   }
};
FDraggablePaneClass.prototype.swapFromShaded = function()
{
   this.shader_mc.inAlternateState = false;
   if(this.shaderDisabled)
   {
      this.shader_mc.gotoAndStop(2);
   }
   else
   {
      this.shader_mc.gotoAndStop(1);
   }
};
FDraggablePaneClass.prototype.preserveNormals = function()
{
   if(this.isShaded == false)
   {
      this.normalWidth = this.width;
      this.normalHeight = this.height;
   }
   this.normalX = this._x;
   this.normalY = this._y;
};
FDraggablePaneClass.prototype.titleTrackBegin = function(x, y)
{
   if(this.controller.isTopmostPane())
   {
      this.controller.startDrag();
   }
};
FDraggablePaneClass.prototype.titleTrackEnd = function(x, y)
{
   this.controller.stopDrag();
   this.controller.preserveNormals();
};
FDraggablePaneClass.prototype.resizeTrackBegin = function()
{
   Mouse.hide();
   this.controller.resizeCursor_mc._visible = true;
   this.anchorX = this._xmouse;
   this.anchorY = this._ymouse;
   this.onMouseMove = function()
   {
      this.controller.dragResizeCursor();
      var newWidth = this.controller.width + (this._xmouse - this.anchorX);
      var newHeight = this.controller.height + (this._ymouse - this.anchorY);
      if(newHeight < this.controller.defaultMinimumHeight())
      {
         newHeight = this.controller.defaultMinimumHeight();
      }
      this.controller.setPaneSize(newWidth,newHeight);
   };
};
FDraggablePaneClass.prototype.resizeTrackEnd = function()
{
   this.controller.restoreCursor();
   this.onMouseMove = null;
};
FDraggablePaneClass.prototype.widgetTrackBegin = function()
{
   if(this.isMultistate && this.inAlternateState)
   {
      this.gotoAndStop(5);
   }
   else
   {
      this.gotoAndStop(3);
   }
};
FDraggablePaneClass.prototype.widgetTrackEnd = function()
{
   if(this.isMultistate && this.inAlternateState)
   {
      this.gotoAndStop(4);
   }
   else
   {
      this.gotoAndStop(1);
   }
};
FDraggablePaneClass.prototype.widgetTrackEndWithAction = function()
{
   this.actionHandler();
   if(this.isMultistate && this.inAlternateState)
   {
      this.gotoAndStop(4);
   }
   else
   {
      this.gotoAndStop(1);
   }
};
FDraggablePaneClass.prototype.widgetTrackOut = function()
{
   if(this.isMultistate && this.inAlternateState)
   {
      this.gotoAndStop(4);
   }
   else
   {
      this.gotoAndStop(1);
   }
};
FDraggablePaneClass.prototype.widgetTrackOver = function()
{
   if(this.isMultistate && this.inAlternateState)
   {
      this.gotoAndStop(5);
   }
   else
   {
      this.gotoAndStop(3);
   }
};
FDraggablePaneClass.prototype.shaderAction = function()
{
   if(this.inAlternateState)
   {
      this.inAlternateState = false;
      this.controller.restoreHelper();
   }
   else
   {
      this.inAlternateState = true;
      this.controller.shadePane();
   }
};
FDraggablePaneClass.prototype.closeAction = function()
{
   this.controller.closePane();
};
FDraggablePaneClass.prototype.restoreHelper = function()
{
   this.restorePane();
};
